package pl.polgrabia.demos.crackingcodeinterview.t16x20;

import java.util.ArrayList;
import java.util.List;

public class RstTreeNode {
    public static final int EN_ALPHABET_LETTER_COUNT = 26;
    private String prefix;
    private String value;
    private RstTreeNode[] rstChildren;

    RstTreeNode() {
        rstChildren = new RstTreeNode[EN_ALPHABET_LETTER_COUNT];
    }

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public RstTreeNode[] getRstChildren() {
        return rstChildren;
    }

    public void setRstChildren(RstTreeNode[] rstChildren) {
        this.rstChildren = rstChildren;
    }

    @Override
    public String toString() {
        return "RSTTreeNode{" +
                "value='" + value + '\'' +
                '}';
    }
}
